restinio::router::easy_parser_router::impl::dsl_details::clauses_type_maker< From<>, To< Results... >, Current_Index > Struct Template Reference

`#include <easy_parser_router.hpp>`

## Public Types

using | type = To< Results... >

## Detailed Description

template<template< class... > class From, template< class... > class To, typename... Results, std::size_t Current_Index>
struct restinio::router::easy_parser_router::impl::dsl_details::clauses_type_maker< From<>, To< Results... >, Current_Index >

Definition at line 445 of file easy_parser_router.hpp.

## Member Typedef Documentation

## type

template<template< class... > class From, template< class... > class To, typename... Results, std::size_t Current_Index>

using restinio::router::easy_parser_router::impl::dsl_details::clauses_type_maker< From<>, To< Results... >, Current_Index >::type = To< Results... >

Definition at line 447 of file easy_parser_router.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/easy_parser_router.hpp